#!/bin/bash
REGISTRY=${REGISTRY:-registry.public.express}
DEPLOYKA=${DEPLOYKA:-dpl:master}
docker pull ${REGISTRY}/${DEPLOYKA}
images=`docker run --rm ${REGISTRY}/${DEPLOYKA} cat /projects/cts/images_prod.json /projects/ets/images_prod.json /projects/rts/images_prod.json /projects/dlps/images_prod.json /projects/express-voice/images_prod.json /projects/top-proxy/images_prod.json | grep '^ ' | cut -d '"' -f 4 | sort | uniq`
images="${DEPLOYKA} ${images}"
for i in ${images}; do
    docker image pull ${REGISTRY}/${i}
    docker image tag ${REGISTRY}/${i} ${i}
    docker image rm -f ${REGISTRY}/${i}
    image_name=`docker image inspect -f '{{ .Id }}' ${i} | cut -d ':' -f 2`.tar
    docker image save -o ${image_name} ${i}
    docker image rm -f ${i}
done
